This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1010116 - WARNING: CPU: 0 PID: 96 at drivers/gpu/drm/i915/intel_display.c:8286 check_crtc_state+0x590/0xb30 [i915]()
WARNING: CPU: 0 PID: 96 at drivers/gpu/drm/i915/intel_display.c:8286 check_cr...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-intel (Show other bugs)
19
i686 Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Adam Jackson
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-19 23:03 EDT by Mark Harig
Modified: 2015-02-17 12:15 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-17 12:15:40 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Call trace that was written to /var/log/messages. (3.41 KB, text/plain)
2013-09-19 23:03 EDT, Mark Harig
no flags Details
fixup lvds border bits readout (hopefully) (1.10 KB, patch)
2013-09-20 04:06 EDT, Daniel Vetter
no flags Details | Diff
Copy of /var/log/Xorg.0.log (31.73 KB, text/plain)
2013-09-21 00:38 EDT, Mark Harig
no flags Details
Copy of the output of dmesg after booting with drm.debug=0xe added to the kernel parameters (207.05 KB, text/plain)
2013-09-21 01:00 EDT, Mark Harig
no flags Details

  None (edit)
Description Mark Harig 2013-09-19 23:03:30 EDT
Created attachment 800269 [details]
Call trace that was written to /var/log/messages.

Description of problem:
Starting with kernel version kernel-PAE-3.11.1-200.fc19.i686, a stack trace is generated in /var/log/messages.

Version-Release number of selected component (if applicable):
rpm -q kernel-PAE xorg-x11-drv-intel xorg-x11-server-Xorg
kernel-PAE-3.10.11-200.fc19.i686
kernel-PAE-3.11.1-200.fc19.i686
xorg-x11-drv-intel-2.21.12-2.fc19.i686
xorg-x11-server-Xorg-1.14.3-1.fc19.i686

How reproducible:
Each time that kernel-PAE-3.11.1-200 is started.  The problem does not appear if the previous kernel, version kernel-PAE-3.10.11, is started.

Steps to Reproduce:
1. Boot the operating system, selecting kernel version kernel-PAE-3.11.1
2. When the booting process has completed, the warning message is found in /var/log/messages.
3.

Actual results:
See the attached trace [text file].

Expected results:
No trace should be generated by xorg-x11-drv-intel.

Additional info:
Comment 1 Dave Airlie 2013-09-20 04:03:15 EDT
can we get a full /var/log/Xorg.0.log?
Comment 2 Daniel Vetter 2013-09-20 04:05:17 EDT
Actually booting with drm.debug=0xe and then grabbing the full dmesg is usually sufficient to reconstruct what went wrong with the drm/i915 modeset state tracking. But I have an idea and will attach a quick patch shortly.
Comment 3 Daniel Vetter 2013-09-20 04:06:18 EDT
Created attachment 800340 [details]
fixup lvds border bits readout (hopefully)

Please test the attached patch.
Comment 4 Dave Airlie 2013-09-20 04:40:39 EDT
http://koji.fedoraproject.org/koji/taskinfo?taskID=5960049

has a scratch build to test.
Comment 5 Mark Harig 2013-09-21 00:36:41 EDT
(In reply to Dave Airlie from comment #1)
> can we get a full /var/log/Xorg.0.log?

Please find a copy of this requested file in the attachments.
Comment 6 Mark Harig 2013-09-21 00:38:14 EDT
Created attachment 800840 [details]
Copy of /var/log/Xorg.0.log
Comment 7 Mark Harig 2013-09-21 00:59:12 EDT
(In reply to Daniel Vetter from comment #2)
> Actually booting with drm.debug=0xe and then grabbing the full dmesg is
> usually sufficient to reconstruct what went wrong with the drm/i915 modeset
> state tracking. But I have an idea and will attach a quick patch shortly.

In case it is of some use, a copy of the output of dmesg (after booting with drm.debug=0xe added to the kernel parameters) is included as an attachment.
Comment 8 Mark Harig 2013-09-21 01:00:26 EDT
Created attachment 800841 [details]
Copy of the output of dmesg after booting with drm.debug=0xe added to the kernel parameters
Comment 9 Mark Harig 2013-10-14 17:33:41 EDT
This problem persists with kernel version 3.4.11-201.fc19.i686.PAE.
Comment 10 Fedora End Of Life 2015-01-09 14:54:16 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 11 Fedora End Of Life 2015-02-17 12:15:40 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.